Bug 18277 - Koha::Biblio - Remove GetBiblionumberFromItemnumber
Summary: Koha::Biblio - Remove GetBiblionumberFromItemnumber
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 18276
Blocks: 17628 18260
  Show dependency treegraph
 
Reported: 2017-03-15 19:08 UTC by Jonathan Druart
Modified: 2017-07-18 11:52 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18277: Remove GetBiblionumberFromItemnumber - Easy ones (7.95 KB, patch)
2017-03-15 19:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18277: Remove GetBiblionumberFromItemnumber - linkitem (3.64 KB, patch)
2017-03-15 19:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18277: Remove GetBiblionumberFromItemnumber - create_analytical_rel.pl (3.44 KB, patch)
2017-03-15 19:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18277: Remove the C4::Biblio::GetBiblionumberFromItemnumber (1.11 KB, patch)
2017-03-15 19:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18277: Remove GetBiblionumberFromItemnumber - Easy ones (7.80 KB, patch)
2017-05-09 15:51 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18277: Remove GetBiblionumberFromItemnumber - linkitem (3.70 KB, patch)
2017-05-09 15:51 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18277: Remove GetBiblionumberFromItemnumber - create_analytical_rel.pl (3.51 KB, patch)
2017-05-09 15:51 UTC, Josef Moravec
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 18277: Remove the C4::Biblio::GetBiblionumberFromItemnumber (1.15 KB, patch)
2017-05-09 15:52 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 18277: Remove GetBiblionumberFromItemnumber - Easy ones (7.66 KB, patch)
2017-07-05 18:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18277: Remove GetBiblionumberFromItemnumber - linkitem (3.70 KB, patch)
2017-07-05 18:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18277: Remove GetBiblionumberFromItemnumber - create_analytical_rel.pl (3.50 KB, patch)
2017-07-05 18:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18277: Remove the C4::Biblio::GetBiblionumberFromItemnumber (1.15 KB, patch)
2017-07-05 18:42 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18277: Remove GetBiblionumberFromItemnumber - Easy ones (7.71 KB, patch)
2017-07-07 08:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18277: Remove GetBiblionumberFromItemnumber - linkitem (3.79 KB, patch)
2017-07-07 08:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18277: Remove GetBiblionumberFromItemnumber - create_analytical_rel.pl (3.59 KB, patch)
2017-07-07 08:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18277: Remove the C4::Biblio::GetBiblionumberFromItemnumber (1.23 KB, patch)
2017-07-07 08:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review
Bug 18277: [QA Follow-up] Additional polishing (2.22 KB, patch)
2017-07-07 08:35 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-03-15 19:08:46 UTC

    
Comment 1 Jonathan Druart 2017-03-15 19:53:31 UTC
Created attachment 61127 [details] [review]
Bug 18277: Remove GetBiblionumberFromItemnumber - Easy ones

To retrieve a biblionumber from an itemnumber, we can use:
  Koha::Item->biblio->biblionumber

This is only what this patchset does.
Doing that we will be able to get rid of the
C4::Biblio::GetBiblionumberFromItemnumber subroutine.

Test plan:
- Acquisition module: cancel a receipt
- Export a record to CSV
- Modify items in a batch

Item's info should be correct

Other changes with be checked by QA team, by reading the code.
Comment 2 Jonathan Druart 2017-03-15 19:53:37 UTC
Created attachment 61128 [details] [review]
Bug 18277: Remove GetBiblionumberFromItemnumber - linkitem

Test plan:
Enable EasyAnalyticalRecords and link an item to another one (Edit >
link to host item)
Comment 3 Jonathan Druart 2017-03-15 19:53:46 UTC
Created attachment 61129 [details] [review]
Bug 18277: Remove GetBiblionumberFromItemnumber - create_analytical_rel.pl

I have no idea how to test this patch, see bug 5528, or simply read the
code.
Comment 4 Jonathan Druart 2017-03-15 19:53:52 UTC
Created attachment 61130 [details] [review]
Bug 18277: Remove the C4::Biblio::GetBiblionumberFromItemnumber
Comment 5 Josef Moravec 2017-05-09 15:51:47 UTC
Created attachment 63301 [details] [review]
[SIGNED-OFF] Bug 18277: Remove GetBiblionumberFromItemnumber - Easy ones

To retrieve a biblionumber from an itemnumber, we can use:
  Koha::Item->biblio->biblionumber

This is only what this patchset does.
Doing that we will be able to get rid of the
C4::Biblio::GetBiblionumberFromItemnumber subroutine.

Test plan:
- Acquisition module: cancel a receipt
- Export a record to CSV
- Modify items in a batch

Item's info should be correct

Other changes with be checked by QA team, by reading the code.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 6 Josef Moravec 2017-05-09 15:51:52 UTC
Created attachment 63302 [details] [review]
[SIGNED-OFF] Bug 18277: Remove GetBiblionumberFromItemnumber - linkitem

Test plan:
Enable EasyAnalyticalRecords and link an item to another one (Edit >
link to host item)

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 7 Josef Moravec 2017-05-09 15:51:56 UTC
Created attachment 63303 [details] [review]
[SIGNED-OFF] Bug 18277: Remove GetBiblionumberFromItemnumber - create_analytical_rel.pl

I have no idea how to test this patch, see bug 5528, or simply read the
code.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 8 Josef Moravec 2017-05-09 15:52:02 UTC
Created attachment 63304 [details] [review]
[SIGNED-OFF] Bug 18277: Remove the C4::Biblio::GetBiblionumberFromItemnumber

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 9 Jonathan Druart 2017-07-05 18:42:33 UTC
Created attachment 64819 [details] [review]
Bug 18277: Remove GetBiblionumberFromItemnumber - Easy ones

To retrieve a biblionumber from an itemnumber, we can use:
  Koha::Item->biblio->biblionumber

This is only what this patchset does.
Doing that we will be able to get rid of the
C4::Biblio::GetBiblionumberFromItemnumber subroutine.

Test plan:
- Acquisition module: cancel a receipt
- Export a record to CSV
- Modify items in a batch

Item's info should be correct

Other changes with be checked by QA team, by reading the code.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 10 Jonathan Druart 2017-07-05 18:42:37 UTC
Created attachment 64820 [details] [review]
Bug 18277: Remove GetBiblionumberFromItemnumber - linkitem

Test plan:
Enable EasyAnalyticalRecords and link an item to another one (Edit >
link to host item)

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 11 Jonathan Druart 2017-07-05 18:42:41 UTC
Created attachment 64821 [details] [review]
Bug 18277: Remove GetBiblionumberFromItemnumber - create_analytical_rel.pl

I have no idea how to test this patch, see bug 5528, or simply read the
code.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 12 Jonathan Druart 2017-07-05 18:42:45 UTC
Created attachment 64822 [details] [review]
Bug 18277: Remove the C4::Biblio::GetBiblionumberFromItemnumber

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>
Comment 13 Jonathan Druart 2017-07-05 18:43:09 UTC
Patches have been rebased.
Comment 14 Marcel de Rooy 2017-07-07 07:35:50 UTC
QA: Looking here now
Comment 15 Marcel de Rooy 2017-07-07 08:35:38 UTC
Created attachment 64892 [details] [review]
Bug 18277: Remove GetBiblionumberFromItemnumber - Easy ones

To retrieve a biblionumber from an itemnumber, we can use:
  Koha::Item->biblio->biblionumber

This is only what this patchset does.
Doing that we will be able to get rid of the
C4::Biblio::GetBiblionumberFromItemnumber subroutine.

Test plan:
- Acquisition module: cancel a receipt
- Export a record to CSV
- Modify items in a batch

Item's info should be correct

Other changes with be checked by QA team, by reading the code.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 16 Marcel de Rooy 2017-07-07 08:35:43 UTC
Created attachment 64893 [details] [review]
Bug 18277: Remove GetBiblionumberFromItemnumber - linkitem

Test plan:
Enable EasyAnalyticalRecords and link an item to another one (Edit >
link to host item)

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 17 Marcel de Rooy 2017-07-07 08:35:47 UTC
Created attachment 64894 [details] [review]
Bug 18277: Remove GetBiblionumberFromItemnumber - create_analytical_rel.pl

I have no idea how to test this patch, see bug 5528, or simply read the
code.

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 18 Marcel de Rooy 2017-07-07 08:35:50 UTC
Created attachment 64895 [details] [review]
Bug 18277: Remove the C4::Biblio::GetBiblionumberFromItemnumber

Signed-off-by: Josef Moravec <josef.moravec@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 19 Marcel de Rooy 2017-07-07 08:35:54 UTC
Created attachment 64896 [details] [review]
Bug 18277: [QA Follow-up] Additional polishing

Fix POD error in Biblio.pm, as reported by qa tools:
    Apparent command =cut not preceded by blank line

Resolve crash in t/db_dependent/Items/DelItem.t:
  Can't call method "biblio" on an undefined value at C4/Items.pm line 669.

Add find test in tools/batchMod.pl. Increase readability of map statement.

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 20 Jonathan Druart 2017-07-10 17:53:59 UTC
Pushed to master for 17.11, thanks to everybody involved!
Comment 21 Fridolin SOMERS 2017-07-18 11:52:43 UTC
Enhancement not pushed to 17.05.x